Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
wellbeserious
Level 1
Level 1
Posts: 5
Joined: Sat Feb 11, 2017 2:43 am

Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by wellbeserious » Tue Dec 05, 2017 2:24 pm

1.6.2 is the version installed. The latest is 2.0.3 Stable/2.22 Dev. What is going on?

User avatar
Moem
Level 17
Level 17
Posts: 7015
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by Moem » Tue Dec 05, 2017 2:26 pm

Here's the sticky topic you missed:
viewtopic.php?f=47&t=31954
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

User avatar
jimallyn
Level 18
Level 18
Posts: 8469
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by jimallyn » Tue Dec 05, 2017 4:07 pm

I believe that if you install PlayOnLinux, you will be able to install the latest Wine, and multiple versions of Wine at the same time.
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

wellbeserious
Level 1
Level 1
Posts: 5
Joined: Sat Feb 11, 2017 2:43 am

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by wellbeserious » Tue Dec 05, 2017 5:33 pm

Already updated Wine, but it's not in the Menu. How do I edit the Menu?

wellbeserious
Level 1
Level 1
Posts: 5
Joined: Sat Feb 11, 2017 2:43 am

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by wellbeserious » Tue Dec 05, 2017 5:37 pm

Okay I updated Wine, but the Menu entry is gone. How do I edit it?

User avatar
ArtGirl
Level 4
Level 4
Posts: 392
Joined: Sat Apr 15, 2017 1:16 pm
Location: UK

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by ArtGirl » Tue Dec 05, 2017 7:18 pm

I second running POL; far easier, and I'm using Wine 2.20 for one of the games I have installed, and various other Wine releases for other games. :)
18.3 Mate 64bit
Radeon R9 255, Mesa 17.2.8, 4.15.0-13,
Lenovo x310, intel i7-4790, 16 ram,
Ugee 2150


For any advice I've been able to add, eg re graphics tablets, please search forum.

Image

User avatar
gld59
Level 2
Level 2
Posts: 61
Joined: Thu Nov 30, 2017 11:05 pm
Location: Australia

Re: Linux Mint 18.3 (x64 Cinnamon): Why are Wine packages SOO OLD?!!!

Post by gld59 » Wed Dec 06, 2017 2:51 am

Third vote here for PlayOnLinux.
I've used it to install Microsoft Office 2010 (because I have certain spreadsheets which get bent in anything else) and a small group of other programs I won't do without. I "have to" manually update wine every couple of weeks, but only because I want the latest.

Post Reply

Return to “Software & Applications”